FittingPortCollection Class

class NXOpen.Routing.FittingPortCollection

Bases: object

Represents a collection of NXOpen.Routing.FittingPort objects.

To obtain an instance of this class, refer to NXOpen.Routing.RouteManager

New in version NX4.0.0.

Methods

Method Description
CreateFittingPort Creates a FittingPort with a rotation vector at an absolute location.
CreateFromAxis Creates a fitting port based on an existing axis.
CreateFromCsys Creates a fitting port based on an existing Cartesian Coordinate System.

Method Detail

CreateFittingPort

FittingPortCollection.CreateFittingPort

Overloaded method CreateFittingPort

  • CreateFittingPort(origin, alignmentVector, rotationVector, rotationObject, clockAngle)
  • CreateFittingPort(origin, alignmentVector)
  • CreateFittingPort(origin, alignmentVector, rotationVector, rotationObject, clockAngle, point)
  • CreateFittingPort(origin, alignmentVector, point)
  • CreateFittingPort(origin, alignmentVector, rotationVector, rotationObject, clockAngle, axis)
  • CreateFittingPort(origin, alignmentVector, derivationObject)
  • CreateFittingPort(origin, alignmentVector, rotationVector, rotationObject, clockAngle, allowMultipleConnections)
  • CreateFittingPort(origin, alignmentVector, allowMultipleConnections)
  • CreateFittingPort(origin, alignmentVector, rotationVector, rotationObject, clockAngle, point, allowMultipleConnections)
  • CreateFittingPort(origin, alignmentVector, point, allowMultipleConnections)
  • CreateFittingPort(origin, alignmentVector, rotationVector, rotationObject, clockAngle, axis, allowMultipleConnections)
  • CreateFittingPort(origin, alignmentVector, derivationObject, allowMultipleConnections)

-------------------------------------

Creates a FittingPort with a rotation vector at an absolute location. Default allows multiple connections to this port.

Signature CreateFittingPort(origin, alignmentVector, rotationVector, rotationObject, clockAngle)

Parameters:
  • origin (NXOpen.Point3d) – Origin of the fitting port
  • alignmentVector (NXOpen.Vector3d) – Alignment vector of the fitting port
  • rotationVector (NXOpen.Vector3d) – Rotation Vector of the fitting port
  • rotationObject (NXOpen.DisplayableObject) – Rotation derivation object, may be NXOpen.DisplayableObject.NULL
  • clockAngle (float) – Clock angle increment in degrees for the rotation vector
Returns:

Return type:

NXOpen.Routing.FittingPort

New in version NX4.0.0.

License requirements: routing_base (“Routing Basic”)

-------------------------------------

Creates a FittingPort with no rotation vector at an absolute location. Default allows multiple connections to this port.

Signature CreateFittingPort(origin, alignmentVector)

Parameters:
Returns:

Return type:

NXOpen.Routing.FittingPort

New in version NX4.0.0.

License requirements: routing_base (“Routing Basic”)

-------------------------------------

Creates a FittingPort with a rotation vector at a point. Default allows multiple connections to this port.

Signature CreateFittingPort(origin, alignmentVector, rotationVector, rotationObject, clockAngle, point)

Parameters:
  • origin (NXOpen.Point3d) – Origin of the fitting port
  • alignmentVector (NXOpen.Vector3d) – Alignment vector of the fitting port
  • rotationVector (NXOpen.Vector3d) – Rotation Vector of the fitting port
  • rotationObject (NXOpen.DisplayableObject) – Rotation derivation object, may be NXOpen.DisplayableObject.NULL
  • clockAngle (float) – Clock angle increment in degrees for the rotation vector
  • point (NXOpen.Point) – Fitting Port derived from this point
Returns:

Return type:

NXOpen.Routing.FittingPort

New in version NX4.0.0.

License requirements: routing_base (“Routing Basic”)

-------------------------------------

Creates a FittingPort with no rotation vector at a point. Default allows multiple connections to this port.

Signature CreateFittingPort(origin, alignmentVector, point)

Parameters:
Returns:

Return type:

NXOpen.Routing.FittingPort

New in version NX4.0.0.

License requirements: routing_base (“Routing Basic”)

-------------------------------------

Creates a FittingPort with a rotation vector on an axis. Default allows multiple connections to this port.

Signature CreateFittingPort(origin, alignmentVector, rotationVector, rotationObject, clockAngle, axis)

Parameters:
  • origin (NXOpen.Point3d) – Origin of the fitting port
  • alignmentVector (NXOpen.Vector3d) – Alignment vector of the fitting port
  • rotationVector (NXOpen.Vector3d) – Rotation Vector of the fitting port
  • rotationObject (NXOpen.DisplayableObject) – Rotation derivation object, may be NXOpen.DisplayableObject.NULL
  • clockAngle (float) – Clock angle increment in degrees for the rotation vector
  • axis (NXOpen.Axis) – Fitting Port derived from this axis
Returns:

Return type:

NXOpen.Routing.FittingPort

New in version NX4.0.0.

License requirements: routing_base (“Routing Basic”)

-------------------------------------

Creates a FittingPort with no rotation vector on an axis. Default allows multiple connections to this port.

Signature CreateFittingPort(origin, alignmentVector, derivationObject)

Parameters:
  • origin (NXOpen.Point3d) – Origin of the fitting port
  • alignmentVector (NXOpen.Vector3d) – Alignment vector of the fitting port
  • derivationObject (NXOpen.Axis) – Fitting Port derived from this axis
Returns:

Return type:

NXOpen.Routing.FittingPort

New in version NX4.0.0.

License requirements: routing_base (“Routing Basic”)

-------------------------------------

Creates a FittingPort with a rotation vector at an absolute location

Signature CreateFittingPort(origin, alignmentVector, rotationVector, rotationObject, clockAngle, allowMultipleConnections)

Parameters:
  • origin (NXOpen.Point3d) – Origin of the fitting port
  • alignmentVector (NXOpen.Vector3d) – Alignment vector of the fitting port
  • rotationVector (NXOpen.Vector3d) – Rotation Vector of the fitting port
  • rotationObject (NXOpen.DisplayableObject) – Rotation derivation object, may be NXOpen.DisplayableObject.NULL
  • clockAngle (float) – Clock angle increment in degrees for the rotation vector
  • allowMultipleConnections (bool) – Does this fitting port allow multiple wires to be routed to it?
Returns:

Return type:

NXOpen.Routing.FittingPort

New in version NX5.0.0.

License requirements: routing_base (“Routing Basic”)

-------------------------------------

Creates a FittingPort with no rotation vector at an absolute location

Signature CreateFittingPort(origin, alignmentVector, allowMultipleConnections)

Parameters:
  • origin (NXOpen.Point3d) – Origin of the fitting port
  • alignmentVector (NXOpen.Vector3d) – Alignment vector of the fitting port
  • allowMultipleConnections (bool) – Does this fitting port allow multiple wires to be routed to it?
Returns:

Return type:

NXOpen.Routing.FittingPort

New in version NX5.0.0.

License requirements: routing_base (“Routing Basic”)

-------------------------------------

Creates a FittingPort with a rotation vector at a point

Signature CreateFittingPort(origin, alignmentVector, rotationVector, rotationObject, clockAngle, point, allowMultipleConnections)

Parameters:
  • origin (NXOpen.Point3d) – Origin of the fitting port
  • alignmentVector (NXOpen.Vector3d) – Alignment vector of the fitting port
  • rotationVector (NXOpen.Vector3d) – Rotation Vector of the fitting port
  • rotationObject (NXOpen.DisplayableObject) – Rotation derivation object, may be NXOpen.DisplayableObject.NULL
  • clockAngle (float) – Clock angle increment in degrees for the rotation vector
  • point (NXOpen.Point) – Fitting Port derived from this point
  • allowMultipleConnections (bool) – Does this fitting port allow multiple wires to be routed to it?
Returns:

Return type:

NXOpen.Routing.FittingPort

New in version NX5.0.0.

License requirements: routing_base (“Routing Basic”)

-------------------------------------

Creates a FittingPort with no rotation vector at a point

Signature CreateFittingPort(origin, alignmentVector, point, allowMultipleConnections)

Parameters:
  • origin (NXOpen.Point3d) – Origin of the fitting port
  • alignmentVector (NXOpen.Vector3d) – Alignment vector of the fitting port
  • point (NXOpen.Point) – Fitting Port derived from this point
  • allowMultipleConnections (bool) – Does this fitting port allow multiple wires to be routed to it?
Returns:

Return type:

NXOpen.Routing.FittingPort

New in version NX5.0.0.

License requirements: routing_base (“Routing Basic”)

-------------------------------------

Creates a FittingPort with a rotation vector on an axis

Signature CreateFittingPort(origin, alignmentVector, rotationVector, rotationObject, clockAngle, axis, allowMultipleConnections)

Parameters:
  • origin (NXOpen.Point3d) – Origin of the fitting port
  • alignmentVector (NXOpen.Vector3d) – Alignment vector of the fitting port
  • rotationVector (NXOpen.Vector3d) – Rotation Vector of the fitting port
  • rotationObject (NXOpen.DisplayableObject) – Rotation derivation object, may be NXOpen.DisplayableObject.NULL
  • clockAngle (float) – Clock angle increment in degrees for the rotation vector
  • axis (NXOpen.Axis) – Fitting Port derived from this axis
  • allowMultipleConnections (bool) – Does this fitting port allow multiple wires to be routed to it?
Returns:

Return type:

NXOpen.Routing.FittingPort

New in version NX5.0.0.

License requirements: routing_base (“Routing Basic”)

-------------------------------------

Creates a FittingPort with no rotation vector on an axis

Signature CreateFittingPort(origin, alignmentVector, derivationObject, allowMultipleConnections)

Parameters:
  • origin (NXOpen.Point3d) – Origin of the fitting port
  • alignmentVector (NXOpen.Vector3d) – Alignment vector of the fitting port
  • derivationObject (NXOpen.Axis) – Fitting Port derived from this axis
  • allowMultipleConnections (bool) – Does this fitting port allow multiple wires to be routed to it?
Returns:

Return type:

NXOpen.Routing.FittingPort

New in version NX5.0.0.

License requirements: routing_base (“Routing Basic”)

-------------------------------------

CreateFromAxis

FittingPortCollection.CreateFromAxis

Creates a fitting port based on an existing axis.

Signature CreateFromAxis(axis)

Parameters:axis (NXOpen.Axis) – The new Fitting Port will be derived from this axis
Returns:
Return type:NXOpen.Routing.FittingPort

New in version NX10.0.0.

License requirements: routing_base (“Routing Basic”)

CreateFromCsys

FittingPortCollection.CreateFromCsys

Creates a fitting port based on an existing Cartesian Coordinate System.

The port aligns with the Z axis of the Coordinate System. The port’s rotation vector, if any, aligns with the Y direction of the Coordinate System.

Signature CreateFromCsys(csys, createRotationVector)

Parameters:
Returns:

Return type:

NXOpen.Routing.FittingPort

New in version NX10.0.0.

License requirements: routing_base (“Routing Basic”)